"""
"""
from Products.DateComparisons import DateBound
DB = DateBound.DateBound
LB = DateBound.LowerDateBound
UB = DateBound.UpperDateBound

class DateRange:
    """
    """
    def __init__( self, lower, upper ):
        if not isinstance( lower, DB ):
            lower = LB( lower )
        if not isinstance( upper, DB ):
            upper = UB( upper )
        self._lower = lower
        self._upper = upper
    
    def intersects( self, rhs ):
        return self._lower <= rhs._upper and self._upper >= rhs._lower
    
    def contains( self, rhs ):
        if isinstance( rhs, DateRange ):
            return self._lower <= rhs._lower and self._upper >= rhs._upper
        rhs = DB( rhs )
        return self._lower <= rhs <= self._upper

ALWAYS = DateRange( LB(), UB() )
INSIDE_ANYTHING = DateRange( UB(), LB() )
